Package com.independentsoft.msg

# Enum Class StoreSupportMask

java.lang.Object
java.lang.Enum<StoreSupportMask>
com.independentsoft.msg.StoreSupportMask

All Implemented Interfaces:
  `Serializable`, `Comparable<StoreSupportMask>`, `Constable`

public enum StoreSupportMask extends Enum<StoreSupportMask>
Contains a value that client applications should query to determine the characteristics of a message store.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANSI`
  The message store supports properties containing ANSI (8-bit) characters.
  `ATTACHMENTS`
  The message store supports attachments (OLE or non-OLE) to messages.
  `CATEGORIZE`
  The message store supports categorized views of tables.
  `CREATE`
  The message store supports creation of new messages.
  `ENTRY_ID_UNIQUE`
  Entry identifiers for the objects in the message store are unique, that is, never reused during the life of the store.
  `HTML`
  The message store supports HTML messages, stored in the message.getBodyHtml().
  `ITEM_PROC`
  In a wrapped PST store, indicates that when a new message arrives at the store, the store does rules and spam filter processing on the message separately.
  `LOCAL_STORE`
  This flag is reserved and should not be used.
  `MODIFY`
  The message store supports modification of its existing messages.
  `MULTI_VALUE_PROPERTIES`
  The message store supports multivalued properties, guarantees the stability of value order in a multivalued property throughout a save operation, and supports instantiation of multivalued properties in tables.
  `NOTIFY`
  The message store supports notifications.
  `OLE`
  The message store supports OLE attachments.
  `PUBLIC_FOLDERS`
  The folders in this store are public (multi-user), not private (possibly multi-instance but not multi-user).
  `PUSHER`
  The MAPI Protocol Handler will not crawl the store, and the store is responsible to push any changes through notifications to the indexer to have messages indexed.
  `READ_ONLY`
  All interfaces for the message store have a read-only access level.
  `RESTRICTIONS`
  The message store supports restrictions.
  `RTF`
  The message store supports Rich Text Format (RTF) messages, usually compressed.
  `SEARCH`
  The message store supports search-results folders.
  `SORT`
  The message store supports sorting views of tables.
  `SUBMIT`
  The message store supports marking a message for submission.
  `UNCOMPRESSED_RTF`
  The message store supports storage of RTF messages in uncompressed form.
  `UNICODE`
  The message store supports properties containing Unicode characters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StoreSupportMask`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static StoreSupportMask[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANSI

    public static final StoreSupportMask ANSI
    The message store supports properties containing ANSI (8-bit) characters.

  - ### ATTACHMENTS

    public static final StoreSupportMask ATTACHMENTS
    The message store supports attachments (OLE or non-OLE) to messages.

  - ### CATEGORIZE

    public static final StoreSupportMask CATEGORIZE
    The message store supports categorized views of tables.

  - ### CREATE

    public static final StoreSupportMask CREATE
    The message store supports creation of new messages.

  - ### ENTRY_ID_UNIQUE

    public static final StoreSupportMask ENTRY_ID_UNIQUE
    Entry identifiers for the objects in the message store are unique, that is, never reused during the life of the store.

  - ### HTML

    public static final StoreSupportMask HTML
    The message store supports HTML messages, stored in the message.getBodyHtml().

  - ### ITEM_PROC

    public static final StoreSupportMask ITEM_PROC
    In a wrapped PST store, indicates that when a new message arrives at the store, the store does rules and spam filter processing on the message separately.

  - ### LOCAL_STORE

    public static final StoreSupportMask LOCAL_STORE
    This flag is reserved and should not be used.

  - ### MODIFY

    public static final StoreSupportMask MODIFY
    The message store supports modification of its existing messages.

  - ### MULTI_VALUE_PROPERTIES

    public static final StoreSupportMask MULTI_VALUE_PROPERTIES
    The message store supports multivalued properties, guarantees the stability of value order in a multivalued property throughout a save operation, and supports instantiation of multivalued properties in tables.

  - ### NOTIFY

    public static final StoreSupportMask NOTIFY
    The message store supports notifications.

  - ### OLE

    public static final StoreSupportMask OLE
    The message store supports OLE attachments.

  - ### PUBLIC_FOLDERS

    public static final StoreSupportMask PUBLIC_FOLDERS
    The folders in this store are public (multi-user), not private (possibly multi-instance but not multi-user).

  - ### PUSHER

    public static final StoreSupportMask PUSHER
    The MAPI Protocol Handler will not crawl the store, and the store is responsible to push any changes through notifications to the indexer to have messages indexed.

  - ### READ_ONLY

    public static final StoreSupportMask READ_ONLY
    All interfaces for the message store have a read-only access level.

  - ### RESTRICTIONS

    public static final StoreSupportMask RESTRICTIONS
    The message store supports restrictions.

  - ### RTF

    public static final StoreSupportMask RTF
    The message store supports Rich Text Format (RTF) messages, usually compressed.

  - ### SEARCH

    public static final StoreSupportMask SEARCH
    The message store supports search-results folders.

  - ### SORT

    public static final StoreSupportMask SORT
    The message store supports sorting views of tables.

  - ### SUBMIT

    public static final StoreSupportMask SUBMIT
    The message store supports marking a message for submission.

  - ### UNCOMPRESSED_RTF

    public static final StoreSupportMask UNCOMPRESSED_RTF
    The message store supports storage of RTF messages in uncompressed form.

  - ### UNICODE

    public static final StoreSupportMask UNICODE
    The message store supports properties containing Unicode characters.

- ## Method Details

  - ### values

    public static StoreSupportMask[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StoreSupportMask valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null